/******************************************************************************
*  FILENAME:      Counter16_1.h
*   VERSION:      REV B, 2002 Mar 30
*******************************************************************************
*  DESCRIPTION:
*     Counter16_1 Counter16 User Module header file.
*******************************************************************************
*	Copyright (c) Cypress MicroSystems 2000,2001. All Rights Reserved.
******************************************************************************/

/* include the global header file */
#include <m8c.h>

/* Create pragmas to support proper argument and return value passing */
#pragma fastcall  Counter16_1_EnableInt
#pragma fastcall  Counter16_1_DisableInt
#pragma fastcall  Counter16_1_Start
#pragma fastcall  Counter16_1_Stop
#pragma fastcall  Counter16_1_WritePeriod
#pragma fastcall  Counter16_1_WriteCompareValue
#pragma fastcall wCounter16_1_ReadCompareValue
#pragma fastcall wCounter16_1_ReadCounter

/**************************************************
* Prototypes of Counter16 API. For a definition of
* functions see Counter16_1.inc. 
**************************************************/
extern void  Counter16_1_EnableInt(void);
extern void  Counter16_1_DisableInt(void);
extern void  Counter16_1_Start(void);
extern void  Counter16_1_Stop(void);
extern void  Counter16_1_WritePeriod(WORD wPeriod);
extern void  Counter16_1_WriteCompareValue(WORD wCompareValue);
extern WORD wCounter16_1_ReadCompareValue(void);	
extern WORD wCounter16_1_ReadCounter(void);	 


/************************************************
*  Hardware Register Definitions
*************************************************/
#pragma ioport  Counter16_1_CONTROL_LSB_REG:    0x023      //Control register LSB
BYTE            Counter16_1_CONTROL_LSB_REG;
#pragma ioport  Counter16_1_CONTROL_MSB_REG:    0x027      //Control register MSB
BYTE            Counter16_1_CONTROL_MSB_REG;
#pragma ioport  Counter16_1_COUNTER_LSB_REG:    0x020      //Counter register LSB
BYTE            Counter16_1_COUNTER_LSB_REG;
#pragma ioport  Counter16_1_COUNTER_MSB_REG:    0x024      //Counter register MSB
BYTE            Counter16_1_COUNTER_MSB_REG;
#pragma ioport  Counter16_1_PERIOD_LSB_REG: 0x021          //Period register LSB
BYTE            Counter16_1_PERIOD_LSB_REG;
#pragma ioport  Counter16_1_PERIOD_MSB_REG: 0x025          //Period register MSB
BYTE            Counter16_1_PERIOD_MSB_REG;
#pragma ioport  Counter16_1_COMPARE_LSB_REG:    0x022      //CompareValue register LSB
BYTE            Counter16_1_COMPARE_LSB_REG;
#pragma ioport  Counter16_1_COMPARE_MSB_REG:    0x026      //CompareValue register MSB
BYTE            Counter16_1_COMPARE_MSB_REG;
#pragma ioport  Counter16_1_FUNC_LSB_REG:   0x120          //Function register LSB
BYTE            Counter16_1_FUNC_LSB_REG;
#pragma ioport  Counter16_1_FUNC_MSB_REG:   0x124          //Function register MSB
BYTE            Counter16_1_FUNC_MSB_REG;
#pragma ioport  Counter16_1_INPUT_LSB_REG:  0x121          //Input register LSB
BYTE            Counter16_1_INPUT_LSB_REG;
#pragma ioport  Counter16_1_INPUT_MSB_REG:  0x125          //Input register MSB
BYTE            Counter16_1_INPUT_MSB_REG;
#pragma ioport  Counter16_1_OUTPUT_LSB_REG: 0x122          //Output register LSB
BYTE            Counter16_1_OUTPUT_LSB_REG;
#pragma ioport  Counter16_1_OUTPUT_MSB_REG: 0x126          //Output register MSB
BYTE            Counter16_1_OUTPUT_MSB_REG;

// end of file
