/******************************************************************************
*  FILENAME:      Counter8_2.h
*   VERSION:      REV B, 2002 Mar 30
*******************************************************************************
*  DESCRIPTION:
*     Counter8_2 Counter8 User Module header file.
*******************************************************************************
*	Copyright (c) Cypress MicroSystems 2000-2002.  All Rights Reserved.
******************************************************************************/

/* include the global header file */
#include <m8c.h>

/* Create pragmas to support proper argument and return value passing */
#pragma fastcall  Counter8_2_EnableInt
#pragma fastcall  Counter8_2_DisableInt
#pragma fastcall  Counter8_2_Start
#pragma fastcall  Counter8_2_Stop
#pragma fastcall  Counter8_2_WritePeriod
#pragma fastcall  Counter8_2_WriteCompareValue
#pragma fastcall bCounter8_2_ReadCompareValue
#pragma fastcall bCounter8_2_ReadCounter

/**************************************************
* Prototypes of Counter8 API. For a definition of
* functions see Counter8_2.inc. 
**************************************************/
extern void  Counter8_2_EnableInt(void);
extern void  Counter8_2_DisableInt(void);
extern void  Counter8_2_Start(void);
extern void  Counter8_2_Stop(void);
extern void  Counter8_2_WritePeriod(BYTE bPeriod);
extern void  Counter8_2_WriteCompareValue(BYTE bCompareValue);
extern BYTE bCounter8_2_ReadCompareValue(void);	
extern BYTE bCounter8_2_ReadCounter(void);	 

/************************************************
*  Hardware Register Definitions
*************************************************/
#pragma ioport  Counter8_2_CONTROL_REG: 0x02f              //Control register
BYTE            Counter8_2_CONTROL_REG;
#pragma ioport  Counter8_2_COUNTER_REG: 0x02c              //Counter register
BYTE            Counter8_2_COUNTER_REG;
#pragma ioport  Counter8_2_PERIOD_REG:  0x02d              //Period value register
BYTE            Counter8_2_PERIOD_REG;
#pragma ioport  Counter8_2_COMPARE_REG: 0x02e              //CompareValue register
BYTE            Counter8_2_COMPARE_REG;
#pragma ioport  Counter8_2_FUNC_REG:    0x12c              //Function register
BYTE            Counter8_2_FUNC_REG;
#pragma ioport  Counter8_2_INPUT_REG:   0x12d              //Input register
BYTE            Counter8_2_INPUT_REG;
#pragma ioport  Counter8_2_OUTPUT_REG:  0x12e              //Output register
BYTE            Counter8_2_OUTPUT_REG;

// end of file
