//***********************************************************************
//***********************************************************************
//
//  BPF2_1.h  for the 2 pole band pass filter
//
//  C declarations for the BPF2 User Module.
//
//  Rev A, 2002 MAR 30
//
//  Copyright: Cypress Micro Systems 2000, 2001.  All Rights Reserved
//
//************************************************************************
//************************************************************************
#include <M8C.h>

#define BPF2_1_OFF         0
#define BPF2_1_LOWPOWER    1
#define BPF2_1_MEDPOWER    2
#define BPF2_1_HIGHPOWER   3

#define BPF2_1_FBCAP16     0
#define BPF2_1_FBCAP32     0x80

#pragma fastcall BPF2_1_Start
#pragma fastcall BPF2_1_SetPower
#pragma fastcall BPF2_1_Stop

#pragma fastcall BPF2_1_SetC1
#pragma fastcall BPF2_1_SetC2
#pragma fastcall BPF2_1_SetC3
#pragma fastcall BPF2_1_SetC4
#pragma fastcall BPF2_1_SetCA
#pragma fastcall BPF2_1_SetCB

extern void BPF2_1_Start(char power);
extern void BPF2_1_SetPower(char power);
extern void BPF2_1_Stop(void);

extern void BPF2_1_SetC1(char cap);
extern void BPF2_1_SetC2(char cap);
extern void BPF2_1_SetC3(char cap);
extern void BPF2_1_SetC4(char cap);
extern void BPF2_1_SetCA(char cap);
extern void BPF2_1_SetCB(char cap);

/************************************************
*  Hardware Register Definitions
*************************************************/
#pragma ioport  BPF2_1_FLIN_CR0:    0x080
BYTE            BPF2_1_FLIN_CR0;
#pragma ioport  BPF2_1_FLIN_CR1:    0x081
BYTE            BPF2_1_FLIN_CR1;
#pragma ioport  BPF2_1_FLIN_CR2:    0x082
BYTE            BPF2_1_FLIN_CR2;
#pragma ioport  BPF2_1_FLIN_CR3:    0x083
BYTE            BPF2_1_FLIN_CR3;
#pragma ioport  BPF2_1_FLFB_CR0:    0x084
BYTE            BPF2_1_FLFB_CR0;
#pragma ioport  BPF2_1_FLFB_CR1:    0x085
BYTE            BPF2_1_FLFB_CR1;
#pragma ioport  BPF2_1_FLFB_CR2:    0x086
BYTE            BPF2_1_FLFB_CR2;
#pragma ioport  BPF2_1_FLFB_CR3:    0x087
BYTE            BPF2_1_FLFB_CR3;
