//***********************************************************************
//***********************************************************************
//
//  BPF2_2.h  for the 2 pole band pass filter
//
//  C declarations for the BPF2 User Module.
//
//  Rev A, 2002 MAR 30
//
//  Copyright: Cypress Micro Systems 2000, 2001.  All Rights Reserved
//
//************************************************************************
//************************************************************************
#include <M8C.h>

#define BPF2_2_OFF         0
#define BPF2_2_LOWPOWER    1
#define BPF2_2_MEDPOWER    2
#define BPF2_2_HIGHPOWER   3

#define BPF2_2_FBCAP16     0
#define BPF2_2_FBCAP32     0x80

#pragma fastcall BPF2_2_Start
#pragma fastcall BPF2_2_SetPower
#pragma fastcall BPF2_2_Stop

#pragma fastcall BPF2_2_SetC1
#pragma fastcall BPF2_2_SetC2
#pragma fastcall BPF2_2_SetC3
#pragma fastcall BPF2_2_SetC4
#pragma fastcall BPF2_2_SetCA
#pragma fastcall BPF2_2_SetCB

extern void BPF2_2_Start(char power);
extern void BPF2_2_SetPower(char power);
extern void BPF2_2_Stop(void);

extern void BPF2_2_SetC1(char cap);
extern void BPF2_2_SetC2(char cap);
extern void BPF2_2_SetC3(char cap);
extern void BPF2_2_SetC4(char cap);
extern void BPF2_2_SetCA(char cap);
extern void BPF2_2_SetCB(char cap);

/************************************************
*  Hardware Register Definitions
*************************************************/
#pragma ioport  BPF2_2_FLIN_CR0:    0x094
BYTE            BPF2_2_FLIN_CR0;
#pragma ioport  BPF2_2_FLIN_CR1:    0x095
BYTE            BPF2_2_FLIN_CR1;
#pragma ioport  BPF2_2_FLIN_CR2:    0x096
BYTE            BPF2_2_FLIN_CR2;
#pragma ioport  BPF2_2_FLIN_CR3:    0x097
BYTE            BPF2_2_FLIN_CR3;
#pragma ioport  BPF2_2_FLFB_CR0:    0x090
BYTE            BPF2_2_FLFB_CR0;
#pragma ioport  BPF2_2_FLFB_CR1:    0x091
BYTE            BPF2_2_FLFB_CR1;
#pragma ioport  BPF2_2_FLFB_CR2:    0x092
BYTE            BPF2_2_FLFB_CR2;
#pragma ioport  BPF2_2_FLFB_CR3:    0x093
BYTE            BPF2_2_FLFB_CR3;
