/******************************************************************************
*  FILENAME:      Counter8_3.h
*   VERSION:      REV B, 2002 Mar 30
*******************************************************************************
*  DESCRIPTION:
*     Counter8_3 Counter8 User Module header file.
*******************************************************************************
*	Copyright (c) Cypress MicroSystems 2000-2002.  All Rights Reserved.
******************************************************************************/

/* include the global header file */
#include <m8c.h>

/* Create pragmas to support proper argument and return value passing */
#pragma fastcall  Counter8_3_EnableInt
#pragma fastcall  Counter8_3_DisableInt
#pragma fastcall  Counter8_3_Start
#pragma fastcall  Counter8_3_Stop
#pragma fastcall  Counter8_3_WritePeriod
#pragma fastcall  Counter8_3_WriteCompareValue
#pragma fastcall bCounter8_3_ReadCompareValue
#pragma fastcall bCounter8_3_ReadCounter

/**************************************************
* Prototypes of Counter8 API. For a definition of
* functions see Counter8_3.inc. 
**************************************************/
extern void  Counter8_3_EnableInt(void);
extern void  Counter8_3_DisableInt(void);
extern void  Counter8_3_Start(void);
extern void  Counter8_3_Stop(void);
extern void  Counter8_3_WritePeriod(BYTE bPeriod);
extern void  Counter8_3_WriteCompareValue(BYTE bCompareValue);
extern BYTE bCounter8_3_ReadCompareValue(void);	
extern BYTE bCounter8_3_ReadCounter(void);	 

/************************************************
*  Hardware Register Definitions
*************************************************/
#pragma ioport  Counter8_3_CONTROL_REG: 0x02f              //Control register
BYTE            Counter8_3_CONTROL_REG;
#pragma ioport  Counter8_3_COUNTER_REG: 0x02c              //Counter register
BYTE            Counter8_3_COUNTER_REG;
#pragma ioport  Counter8_3_PERIOD_REG:  0x02d              //Period value register
BYTE            Counter8_3_PERIOD_REG;
#pragma ioport  Counter8_3_COMPARE_REG: 0x02e              //CompareValue register
BYTE            Counter8_3_COMPARE_REG;
#pragma ioport  Counter8_3_FUNC_REG:    0x12c              //Function register
BYTE            Counter8_3_FUNC_REG;
#pragma ioport  Counter8_3_INPUT_REG:   0x12d              //Input register
BYTE            Counter8_3_INPUT_REG;
#pragma ioport  Counter8_3_OUTPUT_REG:  0x12e              //Output register
BYTE            Counter8_3_OUTPUT_REG;

// end of file
